> ## Documentation Index
> Fetch the complete documentation index at: https://developers.referralful.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a commission



## OpenAPI

````yaml /openapi.json put /commissions/{id}
openapi: 3.1.0
info:
  title: Referralful API
  version: 1.0.0
  description: Rewardful-compatible REST API for affiliate programs built on Stripe.
servers:
  - url: https://api.referralful.com/v1
security:
  - basicAuth: []
paths:
  /commissions/{id}:
    put:
      summary: Update a commission
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                amount:
                  type: integer
                state:
                  type: string
                  enum:
                    - pending
                    - due
                    - paid
                    - void
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Commission'
components:
  schemas:
    Commission:
      type: object
      properties:
        id:
          type: string
        object:
          type: string
          example: commission
        currency:
          type: string
        amount:
          type: integer
          description: Amount in cents.
        state:
          type: string
          enum:
            - pending
            - due
            - paid
            - void
        due_at:
          type: string
          format: date-time
          nullable: true
        paid_at:
          type: string
          format: date-time
          nullable: true
        campaign_id:
          type: string
        affiliate_id:
          type: string
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: Use your API secret as the username, with an empty password.

````